SDL_version.h File Reference
`#include "SDL_stdinc.h"`
`#include "begin_code.h"`
`#include "close_code.h"`
Include dependency graph for SDL_version.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | SDL_version

## Macros

#define | SDL_MAJOR_VERSION 2
#define | SDL_MINOR_VERSION 32
#define | SDL_PATCHLEVEL 10
#define | SDL_VERSION(x)
#define | SDL_VERSIONNUM(X, Y, Z)
#define | SDL_COMPILEDVERSION SDL_VERSIONNUM(SDL_MAJOR_VERSION, SDL_MINOR_VERSION, SDL_PATCHLEVEL)
#define | SDL_VERSION_ATLEAST(X, Y, Z)

## Functions

void | SDL_GetVersion (SDL_version *ver)
const char * | SDL_GetRevision (void)
SDL_DEPRECATED int | SDL_GetRevisionNumber (void)

## Macro Definition Documentation

## SDL_COMPILEDVERSION

#define SDL_COMPILEDVERSION SDL_VERSIONNUM(SDL_MAJOR_VERSION, SDL_MINOR_VERSION, SDL_PATCHLEVEL)

This is the version number macro for the current SDL version.

In versions higher than 2.9.0, the minor version overflows into the thousands digit: for example, 2.23.0 is encoded as 4300. This macro will not be available in SDL 3.x.

Deprecated, use SDL_VERSION_ATLEAST or SDL_VERSION instead.

Definition at line 114 of file SDL_version.h.

#define SDL_COMPILEDVERSION \
SDL_VERSIONNUM(SDL_MAJOR_VERSION, SDL_MINOR_VERSION, SDL_PATCHLEVEL)

## SDL_MAJOR_VERSION

#define SDL_MAJOR_VERSION 2

Definition at line 59 of file SDL_version.h.

## SDL_MINOR_VERSION

#define SDL_MINOR_VERSION 32

Definition at line 60 of file SDL_version.h.

## SDL_PATCHLEVEL

#define SDL_PATCHLEVEL 10

Definition at line 61 of file SDL_version.h.

## SDL_VERSION

#define SDL_VERSION | ( |  | x | ) |

Value:
{ \
(x)->major = SDL_MAJOR_VERSION; \
(x)->minor = SDL_MINOR_VERSION; \
(x)->patch = SDL_PATCHLEVEL; \
}
SDL_MINOR_VERSION
#define SDL_MINOR_VERSION
Definition SDL_version.h:60
SDL_PATCHLEVEL
#define SDL_PATCHLEVEL
Definition SDL_version.h:61
SDL_MAJOR_VERSION
#define SDL_MAJOR_VERSION
Definition SDL_version.h:59

Macro to determine SDL version program was compiled against.

This macro fills in a SDL_version structure with the version of the library you compiled against. This is determined by what header the compiler uses. Note that if you dynamically linked the library, you might have a slightly newer or older version at runtime. That version can be determined with SDL_GetVersion(), which, unlike SDL_VERSION(), is not a macro.

Parameters

  x | A pointer to a SDL_version struct to initialize.

See also
  SDL_version
  SDL_GetVersion

Definition at line 77 of file SDL_version.h.

#define SDL_VERSION(x) \
{ \
(x)->major = SDL_MAJOR_VERSION; \
(x)->minor = SDL_MINOR_VERSION; \
(x)->patch = SDL_PATCHLEVEL; \
}

## SDL_VERSION_ATLEAST

#define SDL_VERSION_ATLEAST | ( |  | X,
|  |  | Y,
|  |  | Z )

Value:
((SDL_MAJOR_VERSION >= X) && \
(SDL_MAJOR_VERSION > X || SDL_MINOR_VERSION >= Y) && \
(SDL_MAJOR_VERSION > X || SDL_MINOR_VERSION > Y || SDL_PATCHLEVEL >= Z))

This macro will evaluate to true if compiled with SDL at least X.Y.Z.

Definition at line 121 of file SDL_version.h.

#define SDL_VERSION_ATLEAST(X, Y, Z) \
((SDL_MAJOR_VERSION >= X) && \
(SDL_MAJOR_VERSION > X || SDL_MINOR_VERSION >= Y) && \
(SDL_MAJOR_VERSION > X || SDL_MINOR_VERSION > Y || SDL_PATCHLEVEL >= Z))

## SDL_VERSIONNUM

#define SDL_VERSIONNUM | ( |  | X,
|  |  | Y,
|  |  | Z )

Value:
((X)*1000 + (Y)*100 + (Z))

This macro turns the version numbers into a numeric value:

(1,2,3) -> (1203)

This assumes that there will never be more than 100 patchlevels.

In versions higher than 2.9.0, the minor version overflows into the thousands digit: for example, 2.23.0 is encoded as 4300, and 2.255.99 would be encoded as 25799.

This macro will not be available in SDL 3.x.

Definition at line 102 of file SDL_version.h.

#define SDL_VERSIONNUM(X, Y, Z) \
((X)*1000 + (Y)*100 + (Z))

## Function Documentation

## SDL_GetRevision()

const char * SDL_GetRevision | ( | void |  | ) |

extern

Get the code revision of SDL that is linked against your program.

This value is the revision of the code you are linked with and may be different from the code you are compiling with, which is found in the constant SDL_REVISION.

The revision is arbitrary string (a hash value) uniquely identifying the exact revision of the SDL library in use, and is only useful in comparing against other revisions. It is NOT an incrementing number.

If SDL wasn't built from a git repository with the appropriate tools, this will return an empty string.

Prior to SDL 2.0.16, before development moved to GitHub, this returned a hash for a Mercurial repository.

You shouldn't use this function for anything but logging it for debugging purposes. The string is not intended to be reliable in any way.

Returns
  an arbitrary string, uniquely identifying the exact revision of the SDL library in use.

Since
  This function is available since SDL 2.0.0.

See also
  SDL_GetVersion

## SDL_GetRevisionNumber()

SDL_DEPRECATED int SDL_GetRevisionNumber | ( | void |  | ) |

extern

Obsolete function, do not use.

When SDL was hosted in a Mercurial repository, and was built carefully, this would return the revision number that the build was created from. This number was not reliable for several reasons, but more importantly, SDL is now hosted in a git repository, which does not offer numbers at all, only hashes. This function only ever returns zero now. Don't use it.

Before SDL 2.0.16, this might have returned an unreliable, but non-zero number.

Deprecated
  Use SDL_GetRevision() instead; if SDL was carefully built, it will return a git hash.

Returns
  zero, always, in modern SDL releases.

Since
  This function is available since SDL 2.0.0.

See also
  SDL_GetRevision

References SDL_DEPRECATED.

## SDL_GetVersion()

void SDL_GetVersion | ( | SDL_version * | ver | ) |

extern

Get the version of SDL that is linked against your program.

If you are linking to SDL dynamically, then it is possible that the current version will be different than the version you compiled against. This function returns the current version, while SDL_VERSION() is a macro that tells you what version you compiled with.

This function may be called safely at any time, even before SDL_Init().

Parameters

  ver | the SDL_version structure that contains the version information.

Since
  This function is available since SDL 2.0.0.

See also
  SDL_GetRevision